org.jboss.resteasy.skeleton.key.representations.idm

## Class PublishedRealmRepresentation

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.representations.idm.PublishedRealmRepresentation

-     public class PublishedRealmRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authorizationUrl`
    `protected String` | `codeUrl`
    `protected String` | `grantUrl`
    `protected PublicKey` | `publicKey`
    `protected String` | `publicKeyPem`
    `protected String` | `realm`
    `protected String` | `self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublishedRealmRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorizationUrl()`
    `String` | `getCodeUrl()`
    `String` | `getGrantUrl()`
    `PublicKey` | `getPublicKey()`
    `String` | `getPublicKeyPem()`
    `String` | `getRealm()`
    `String` | `getSelf()`
    `void` | `setAuthorizationUrl(String authorizationUrl)`
    `void` | `setCodeUrl(String codeUrl)`
    `void` | `setGrantUrl(String grantUrl)`
    `void` | `setPublicKey(PublicKey publicKey)`
    `void` | `setPublicKeyPem(String publicKeyPem)`
    `void` | `setRealm(String realm)`
    `void` | `setSelf(String self)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected String realm

    - #### self

          protected String self

    - #### publicKeyPem

          protected String publicKeyPem

    - #### authorizationUrl

          protected String authorizationUrl

    - #### codeUrl

          protected String codeUrl

    - #### grantUrl

          protected String grantUrl

    - #### publicKey

          protected transient volatile PublicKey publicKey

  - ### Constructor Detail

    - #### PublishedRealmRepresentation

          public PublishedRealmRepresentation()

  - ### Method Detail

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getPublicKeyPem

          public String getPublicKeyPem()

    - #### setPublicKeyPem

          public void setPublicKeyPem(String publicKeyPem)

    - #### getPublicKey

          public PublicKey getPublicKey()

    - #### setPublicKey

          public void setPublicKey(PublicKey publicKey)

    - #### getAuthorizationUrl

          public String getAuthorizationUrl()

    - #### setAuthorizationUrl

          public void setAuthorizationUrl(String authorizationUrl)

    - #### getCodeUrl

          public String getCodeUrl()

    - #### setCodeUrl

          public void setCodeUrl(String codeUrl)

    - #### getGrantUrl

          public String getGrantUrl()

    - #### setGrantUrl

          public void setGrantUrl(String grantUrl)

Copyright © 2014. All Rights Reserved.